# Multiset

#### 2022-06-12

___
##### Data structures:
#DS #multiset
##### Difficulty:
#CS_analysis #difficulty-easy
##### Related problems:
```expander
tag:#coding_problem tag:#multiset -tag:#template_remove_me 
```
 
- [[Leetcode Merge-Sorted-Array]]
 


##### Links:
- [cppreference](https://en.cppreference.com/w/cpp/container/multiset)
___

### What is Multiset?

`std::multiset` is an associative container that contains a sorted set of objects of type Key. Unlike set, multiple keys with equivalent values are allowed. Sorting is done using the key comparison function Compare. Search, insertion, and removal operations have logarithmic complexity.